/*
 * Diese Klasse hlt eine Aufzhlung aller Befehlswrter, die dem
 * Spiel bekannt sind. Mit ihrer Hilfe werden eingetippte Befehle
 * erkannt.
 *
 * @author  Michael Kolling and David J. Barnes
 * @version 1.0 (Mrz 2003)
 */

class Befehlswoerter
{
    // ein konstantes Array mit den gltigen Befehlswrtern
    private static final String gueltigeBefehle[] = {
        "go", "quit", "help" , "get" , "open" , "fire" , "pull", "win"
    };

    /**
     * Konstruktor - initialisiere die Befehlswrter.
     */
    public Befehlswoerter()
    {
        // nichts zu tun momentan...
    }

    /**
     * Prfe, ob eine gegebene Zeichenkette ein gltiger
     * Befehl ist.
     * Liefere 'true', wenn das der Fall ist, 'false' sonst.
     */
    public boolean istBefehl(String eingabe)
    {
        for(int i = 0; i < gueltigeBefehle.length; i++) {
            if(gueltigeBefehle[i].equals(eingabe))
                return true;
        }
        // Wenn wir hierher gelangen, wurde die Eingabe nicht
        // in den Befehlswrter gefunden.
        return false;
    }

    /*
     * Gib alle gltigen Befehlswrter auf die Konsole aus.
     */
    public void alleAusgeben() 
    {
        for(int i = 0; i < gueltigeBefehle.length; i++) {
            System.out.print(gueltigeBefehle[i] + "  ");
        }
        System.out.println();
    }
}
